services:
  speedtest:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    container_name: speedtest
    image: openspeedtest/latest:v2.0.6
    ports:
      - "4001:3001" # webport mapping (host:container)
      - "3999:3001" # webport mapping (host:container)
    networks:
      - ip4net
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.speedtest.rule=Host(`speedtest.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.speedtest.entrypoints=https"
      - "traefik.http.routers.speedtest.tls=true"
      - "traefik.http.middlewares.limit.buffering.maxRequestBodyBytes=10000000000"
